petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSComputeSolutionFunction

Evaluates the solution function.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSComputeSolutionFunction(TS ts,PetscReal t,Vec U)

Collective on TS

### Input Parameters

| ts | - the TS context
| t | - current time

### Output Parameter

U -the solution

### Note

Most users should not need to explicitly call this routine, as it is used internally within the nonlinear solvers.

### See Also

TSSetSolutionFunction(), TSSetRHSFunction(), TSComputeIFunction()

### Level

developer

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages